commit: 36e5bc6c16f2ae51ea9f707b5deac9e93e723473
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 10 11:52:25 2015 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Nov 10 11:52:32 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36e5bc6c
media-libs/aubio: Install python last so that cwd is not changed too early. Bug
#565002 by nilburn.
Package-Manager: portage-2.2.24
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>
media-libs/aubio/aubio-0.4.2.ebuild | 12 ++++++------
1 file changed, 6 insertions(+), 6 deletions(-)
diff --git a/media-libs/aubio/aubio-0.4.2.ebuild
b/media-libs/aubio/aubio-0.4.2.ebuild
index 9f5142f..6104f6a 100644
--- a/media-libs/aubio/aubio-0.4.2.ebuild
+++ b/media-libs/aubio/aubio-0.4.2.ebuild
@@ -88,12 +88,6 @@ src_test() {
src_install() {
waf-utils_src_install
- if use python ; then
- cd "${PYTHON_SRC_DIR}" || die
- DOCS="" distutils-r1_src_install
- newdoc README README.python
- fi
-
if use doc; then
dohtml -r doc/full/html/.
dodoc doc/*.txt
@@ -103,4 +97,10 @@ src_install() {
# install dist_noinst_SCRIPTS from Makefile.am
dodoc -r examples
fi
+
+ if use python ; then
+ cd "${PYTHON_SRC_DIR}" || die
+ DOCS="" distutils-r1_src_install
+ newdoc README README.python
+ fi
}